#pragma once

#include <vectors/vec2.h>

#include "basicBullet.hpp"

namespace game::entity{

class EnemyBullet: public BasicBullet
{
public:

    EnemyBullet(World *world, const vec2f &position, const vec2f &enemyVelocity, float speed, float angle);

    virtual void Setup();
    virtual void Render() noexcept;

};

}
